org.richfaces.fragment.panelMenu

## Class RichFacesPanelMenu

- java.lang.Object
- - org.richfaces.fragment.panelMenu.AbstractPanelMenu
  - - org.richfaces.fragment.panelMenu.RichFacesPanelMenu

- All Implemented Interfaces:
    AdvancedInteractions<AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions>, AdvancedVisibleComponentIteractions<AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions>, PanelMenu, PanelMenuGroup

      public class RichFacesPanelMenu
      extends AbstractPanelMenu

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesPanelMenu.AdvancedPanelMenuInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.panelMenu.AbstractPanelMenu

      `AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesPanelMenu()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesPanelMenu.AdvancedPanelMenuInteractions` | `advanced()`
    `List<org.openqa.selenium.WebElement>` | `getMenuGroups()`
    `List<org.openqa.selenium.WebElement>` | `getMenuItems()`

    - ### Methods inherited from class org.richfaces.fragment.panelMenu.AbstractPanelMenu

      `collapseAll, collapseGroup, collapseGroup, collapseGroup, expandAll, expandGroup, expandGroup, expandGroup, selectItem, selectItem, selectItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesPanelMenu

          public RichFacesPanelMenu()

  - ### Method Detail

    - #### getMenuItems

          public List<org.openqa.selenium.WebElement> getMenuItems()

      Specified by:
        `getMenuItems` in class `AbstractPanelMenu`

    - #### getMenuGroups

          public List<org.openqa.selenium.WebElement> getMenuGroups()

      Specified by:
        `getMenuGroups` in class `AbstractPanelMenu`

    - #### advanced

          public RichFacesPanelMenu.AdvancedPanelMenuInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions>`
      Specified by:
        `advanced` in class `AbstractPanelMenu`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.